<template>
  <div class="container mt-4">
    <div class="row">
      <div class="col">
        <div class="card">
          <div class="card-body">
            <h5 class="card-title">Shooter 2D</h5>
            <p class="card-text">
              Created by Dmitry Avdikeev.<br/>
              I used:
              <ul>
                  <li>webGL2</li>
                  <li>Vue.js</li>
                  <li>bootstrap 4</li>
                  <li>webpack</li>
              </ul>
            </p>
            <div>
                <a href="#" class="btn btn-primary" @click="$emit('state', 'single')">Single player</a>
            </div>
            <div class="mt-2">
                <a href="#" class="btn btn-success">Servers</a>
            </div>
            <div class="mt-2">
                <a href="#" class="btn btn-warning">Settings</a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "menu-component",
};
</script>